summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/GitPython/GitPython-3.1.31.ebuild2
-rw-r--r--dev-python/casttube/casttube-0.2.1-r1.ebuild2
-rw-r--r--dev-python/ioflo/ioflo-2.0.2-r4.ebuild2
-rw-r--r--dev-python/pypdf/Manifest1
-rw-r--r--dev-python/pypdf/pypdf-3.6.0.ebuild60
-rw-r--r--dev-python/pytest-asyncio/Manifest1
-rw-r--r--dev-python/pytest-asyncio/pytest-asyncio-0.21.0.ebuild48
-rw-r--r--dev-python/pyusb/pyusb-1.2.1-r1.ebuild2
-rw-r--r--dev-python/rdflib/Manifest1
-rw-r--r--dev-python/rdflib/rdflib-6.3.1.ebuild84
-rw-r--r--dev-python/sqlalchemy/Manifest2
-rw-r--r--dev-python/sqlalchemy/sqlalchemy-1.4.47.ebuild94
-rw-r--r--dev-python/sqlalchemy/sqlalchemy-2.0.7.ebuild107
-rw-r--r--dev-python/trio-websocket/Manifest1
-rw-r--r--dev-python/trio-websocket/trio-websocket-0.10.2.ebuild42
15 files changed, 445 insertions, 4 deletions
diff --git a/dev-python/GitPython/GitPython-3.1.31.ebuild b/dev-python/GitPython/GitPython-3.1.31.ebuild
index e0d73203602d..d06a44df1773 100644
--- a/dev-python/GitPython/GitPython-3.1.31.ebuild
+++ b/dev-python/GitPython/GitPython-3.1.31.ebuild
@@ -29,7 +29,7 @@ SRC_URI+="
LICENSE="BSD"
SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux"
RDEPEND="
dev-vcs/git
diff --git a/dev-python/casttube/casttube-0.2.1-r1.ebuild b/dev-python/casttube/casttube-0.2.1-r1.ebuild
index 5572a31e99d7..d25635b7afce 100644
--- a/dev-python/casttube/casttube-0.2.1-r1.ebuild
+++ b/dev-python/casttube/casttube-0.2.1-r1.ebuild
@@ -13,7 +13,7 @@ HOMEPAGE="https://github.com/ur1katz/casttube"
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~amd64 ~x86"
+KEYWORDS="amd64 x86"
RDEPEND="dev-python/requests[${PYTHON_USEDEP}]"
diff --git a/dev-python/ioflo/ioflo-2.0.2-r4.ebuild b/dev-python/ioflo/ioflo-2.0.2-r4.ebuild
index 5ad220e1519b..114be58c3c6f 100644
--- a/dev-python/ioflo/ioflo-2.0.2-r4.ebuild
+++ b/dev-python/ioflo/ioflo-2.0.2-r4.ebuild
@@ -13,7 +13,7 @@ SRC_URI="https://github.com/${PN}/${PN}/archive/v${PV}.tar.gz -> ${P}.gh.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
+KEYWORDS="amd64 ~arm ~arm64 ~riscv x86"
PATCHES=(
"${FILESDIR}/ioflo-1.7.8-network-test.patch"
diff --git a/dev-python/pypdf/Manifest b/dev-python/pypdf/Manifest
index a8cb63cb6b91..5f10df003ada 100644
--- a/dev-python/pypdf/Manifest
+++ b/dev-python/pypdf/Manifest
@@ -4,5 +4,6 @@ DIST pypdf-3.4.1.gh.tar.gz 6930245 BLAKE2B 9e8a5a1ebe95b64c9274ce6b0ea252d65f41d
DIST pypdf-3.5.0.gh.tar.gz 7181507 BLAKE2B 8f5c129613ed12a9eaa90cf0e6fa189b0fc5bf109f26b8cc35ff1550e916b0635715359b2ece9c3c0243095c2e802474e99fe4c59d16b0f75b4375fb2ce07e5d SHA512 a8a0fad3fd08d88738088a06df4f1cbf419571e9e817c6097ce8bdcf7b1dd32f478ac712879cabceb7034f4e9a421f887ff117a1812782eadb670c8043aff86c
DIST pypdf-3.5.1.gh.tar.gz 7183874 BLAKE2B 29ce7d052f0c466e72974ec051e149c2383136cc0097e2e104c4c1e5c37836f7908b25bfaa32e5fd85082f860b06ad88adbfbb5bbff95bc7a735e127b26d7964 SHA512 4f28cc0822f472087f096b4b2ee553b87e458009b29c43d41bbba53de9862292c78f4b31a860d4c783a6af4f92fdf32612bab7a42190373d9d9ceae39080bb35
DIST pypdf-3.5.2.gh.tar.gz 7185283 BLAKE2B b92af14da7fed1cecda4cb0088efaa7031e9a44daa7c81ee0450bbb0f7630129b6e09e4044b3592e4333c466c73f16d033ee32f428c2866d163fc250a15516e9 SHA512 f257f05ddbd0a0195e0ec075b88fd4077bf0c44490311eee6fe1f4d3715c6d29abc681df53d22c2e7a08c2a545f5151d48f1bec2e436031c3b8e599204eb0f5a
+DIST pypdf-3.6.0.gh.tar.gz 7174931 BLAKE2B 2d9260ecccc03e6039d288d1fb16f8d1deffcd8daf83e4bb25ff7f2c49b3c6c979ebca2f04458964999d29fb5979b21a0087b02ac66c0bf387cce2be50a308be SHA512 43286f7c9c68048d763a87b02eb932ba597a7aa778153e8abd96d7d496da0d910199dab1e985d21c625daae225dde69936fff56accd52102353e6a03e30db4c7
DIST pypdf-sample-files-0fe84b30ed33ff3daa9293e44349b8618f135699.gh.tar.gz 9027166 BLAKE2B 912bb9fbd632bd0ad2cc2e865a1e6870ad7064aa2cf4d6f96217f63ac685e9a511f0bb20c22d48ae970a2eb171b27a0fa680fa42892425531f69735840cf741b SHA512 07a71a3566dabcea5dc8a549949d0f0c0f9483d5d9f85851d6e4e702dd374b348469a80e5300d18983e560ee9a44d0639b55eb338023b9ebbdb26c6f8c455e07
DIST pypdf-sample-files-fb7a080b35b3553bd10221282beeda7847959e83.gh.tar.gz 9027029 BLAKE2B 8f8797263b86f08efd9708d5812000efd08708abf66a0e95f50f5a147102e555dd7f8c465ae73cae842d86efdb52cabba5f8962626f56cb1b98409bfa108e150 SHA512 3a9cdab964a14cf6b14d80d917441a4e5effe2b7647163b666781ecabd189624dbbe5039111f6b1d753ff73e013665a1b86d87ca7806580fda58ec5810f88e94
diff --git a/dev-python/pypdf/pypdf-3.6.0.ebuild b/dev-python/pypdf/pypdf-3.6.0.ebuild
new file mode 100644
index 000000000000..688053dcdece
--- /dev/null
+++ b/dev-python/pypdf/pypdf-3.6.0.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1
+
+SAMPLE_COMMIT=fb7a080b35b3553bd10221282beeda7847959e83
+DESCRIPTION="Python library to work with PDF files"
+HOMEPAGE="
+ https://pypi.org/project/pypdf/
+ https://github.com/py-pdf/pypdf/
+"
+SRC_URI="
+ https://github.com/py-pdf/pypdf/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ test? (
+ https://github.com/py-pdf/sample-files/archive/${SAMPLE_COMMIT}.tar.gz
+ -> ${PN}-sample-files-${SAMPLE_COMMIT}.gh.tar.gz
+ )
+"
+S=${WORKDIR}/pypdf-${PV}
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~ppc64 ~x86"
+
+RDEPEND="
+ $(python_gen_cond_dep '
+ dev-python/typing-extensions[${PYTHON_USEDEP}]
+ ' 3.8 3.9)
+"
+BDEPEND="
+ dev-python/pillow[${PYTHON_USEDEP}]
+ test? (
+ dev-python/pycryptodome[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # rely on -Werror
+ tests/test_utils.py::test_deprecate_no_replacement
+ tests/test_workflows.py::test_orientations
+)
+
+src_unpack() {
+ default
+ if use test; then
+ mv "sample-files-${SAMPLE_COMMIT}"/* "${S}"/sample-files/ || die
+ fi
+}
+
+python_test() {
+ epytest -o addopts= -m "not enable_socket"
+}
diff --git a/dev-python/pytest-asyncio/Manifest b/dev-python/pytest-asyncio/Manifest
index 3126a82035ec..58f880ef05e9 100644
--- a/dev-python/pytest-asyncio/Manifest
+++ b/dev-python/pytest-asyncio/Manifest
@@ -1 +1,2 @@
DIST pytest-asyncio-0.20.3.gh.tar.gz 27695 BLAKE2B 6e6f0d58d0f985cee9dc0b27f886d0b1b4b54ecbf4980c4ac59b420d6e6e5c01d1c6f3c9ed803391910124f19ee3a882c963f10e5f6bab6de6115bfa222c8be2 SHA512 78a6e251db80696d6f62a54c8d6836e2a820f27efdaa848eb1be512a1592d3bd3fb7c7eee46bb2039a317a8d431565614c888f8436fbe0d4eb60534ce4780e90
+DIST pytest-asyncio-0.21.0.tar.gz 29898 BLAKE2B 6455e59a2e28ddbefd54e4c16970d36d22a674406fbc0e352e9886af3a7a51a0ae4a8ce32e01d076e2411f0501548092dfbe3150d87c14cb5e5eb71966bcb743 SHA512 ce557e5f15f3ae745804f4484d590a9f673d76f0c67c2e8ab444e1b17a4ae5ea6021bf55d7ef905643bfbcded6299f207a386fb4dc05ddf20ade25e6618a9773
diff --git a/dev-python/pytest-asyncio/pytest-asyncio-0.21.0.ebuild b/dev-python/pytest-asyncio/pytest-asyncio-0.21.0.ebuild
new file mode 100644
index 000000000000..db66cdb7b65b
--- /dev/null
+++ b/dev-python/pytest-asyncio/pytest-asyncio-0.21.0.ebuild
@@ -0,0 +1,48 @@
+# Copyright 2019-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{7,8,9,10,11} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Library for testing asyncio code with pytest"
+HOMEPAGE="
+ https://github.com/pytest-dev/pytest-asyncio/
+ https://pypi.org/project/pytest-asyncio/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+
+RDEPEND="
+ >=dev-python/pytest-5.4.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/setuptools-scm[${PYTHON_USEDEP}]
+ test? (
+ dev-python/flaky[${PYTHON_USEDEP}]
+ >=dev-python/hypothesis-3.64[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # rely on precise warning counts
+ tests/test_pytest_min_version_warning.py
+ tests/modes/test_legacy_mode.py
+ tests/trio/test_fixtures.py::test_strict_mode_ignores_trio_fixtures
+ tests/test_event_loop_fixture_finalizer.py::test_event_loop_fixture_finalizer_raises_warning_when_fixture_leaves_loop_unclosed
+ tests/test_event_loop_fixture_finalizer.py::test_event_loop_fixture_finalizer_raises_warning_when_test_leaves_loop_unclosed
+ )
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x PYTEST_PLUGINS=pytest_asyncio.plugin,_hypothesis_pytestplugin,flaky.flaky_pytest_plugin
+ epytest
+}
diff --git a/dev-python/pyusb/pyusb-1.2.1-r1.ebuild b/dev-python/pyusb/pyusb-1.2.1-r1.ebuild
index 8ce078179343..71d0b98b37f5 100644
--- a/dev-python/pyusb/pyusb-1.2.1-r1.ebuild
+++ b/dev-python/pyusb/pyusb-1.2.1-r1.ebuild
@@ -12,7 +12,7 @@ HOMEPAGE="https://pyusb.github.io/pyusb/ https://pypi.org/project/pyusb/"
LICENSE="BSD"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~riscv ~x86"
+KEYWORDS="amd64 ~arm ~arm64 ~ppc ~riscv x86"
### This version is compatible with both 0.X and 1.X versions of libusb
DEPEND="virtual/libusb:="
diff --git a/dev-python/rdflib/Manifest b/dev-python/rdflib/Manifest
index bfbcb8ce50f6..e4a650ddcf39 100644
--- a/dev-python/rdflib/Manifest
+++ b/dev-python/rdflib/Manifest
@@ -1,2 +1,3 @@
DIST rdflib-6.2.0.gh.tar.gz 4886953 BLAKE2B 74044b0cbaf6c1ba6f2a43347112118dcf92b5237afdd49782ca6d637df092379ff2d81eaec254ad0bf25057f8c0cd44c82a35a89d4ce7b21c8e222de9aef16a SHA512 8177c50e9c2d48859a061dfee24c3560b8f979bc306b3d940a9251ec130e3a324bbad474f4fa7ced5e11522d3bd4e13931461bf106f31177fd972806968d8245
DIST rdflib-6.3.0.gh.tar.gz 4980436 BLAKE2B 07f86418a0d598f59e4912057f4e11183bc0ad66a4cc5d7a83df6abce325f708a4920303afcbcdc97fb19b39199725a6410552704011e0f154815b7692724d88 SHA512 b8fd7d43f22779175e4d29f6256f070cb58f694fbfc9d068932c992ac732c687668ef68defbb6fa49f55f0b11d3b8f65b3a9d94aa8693ad9b8ab7c670625d06c
+DIST rdflib-6.3.1.gh.tar.gz 4985262 BLAKE2B 1de63607aca70f3c498970fd639a8fb61c65ecd1fbae63c466bf7750dd3f84264f3abe2ed958fef4f1a06877069a0d21ba36ac946a72fc53f93087b27e35a69a SHA512 e348b721edac73a5cedc499e7e50819694c931d921fc1637fc2f26f66801d17d169cc447126974828d745851818bd5a616081dddf9a48e483835dbf20288b318
diff --git a/dev-python/rdflib/rdflib-6.3.1.ebuild b/dev-python/rdflib/rdflib-6.3.1.ebuild
new file mode 100644
index 000000000000..66435453afeb
--- /dev/null
+++ b/dev-python/rdflib/rdflib-6.3.1.ebuild
@@ -0,0 +1,84 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+PYTHON_REQ_USE="sqlite?,threads(+)"
+
+inherit distutils-r1
+
+DESCRIPTION="RDF library containing a triple store and parser/serializer"
+HOMEPAGE="
+ https://github.com/RDFLib/rdflib/
+ https://pypi.org/project/rdflib/
+"
+SRC_URI="
+ https://github.com/RDFLib/rdflib/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86"
+IUSE="examples sqlite"
+
+RDEPEND="
+ <dev-python/isodate-1[${PYTHON_USEDEP}]
+ >=dev-python/isodate-0.6.0[${PYTHON_USEDEP}]
+ dev-python/html5lib[${PYTHON_USEDEP}]
+ <dev-python/pyparsing-4[${PYTHON_USEDEP}]
+ >=dev-python/pyparsing-2.1.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/requests[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # doctests require internet
+ sed -i -e '/doctest-modules/d' pyproject.toml || die
+
+ # we disable pytest-cov
+ sed -i -e 's@, no_cover: None@@' test/test_misc/test_plugins.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # Internet
+ "test/test_examples.py::test_example[sparqlstore_example.py]"
+ test/test_sparql/test_service.py
+ "test/jsonld/test_onedotone.py::test_suite[https://w3c.github.io/json-ld-api/tests/toRdf-manifest#tc034-do_test_parser-https://w3c.github.io/json-ld-api/tests/-toRdf-c034-toRdf/c034-in.jsonld-toRdf/c034-out.nq-False-options66]"
+ "test/jsonld/test_onedotone.py::test_suite[https://w3c.github.io/json-ld-api/tests/toRdf-manifest#te126-do_test_parser-https://w3c.github.io/json-ld-api/tests/-toRdf-e126-toRdf/e126-in.jsonld-toRdf/e126-out.nq-False-options167]"
+ "test/jsonld/test_onedotone.py::test_suite[https://w3c.github.io/json-ld-api/tests/toRdf-manifest#te127-do_test_parser-https://w3c.github.io/json-ld-api/tests/-toRdf-e127-toRdf/e127-in.jsonld-toRdf/e127-out.nq-False-options168]"
+ "test/jsonld/test_onedotone.py::test_suite[https://w3c.github.io/json-ld-api/tests/toRdf-manifest#tso05-do_test_parser-https://w3c.github.io/json-ld-api/tests/-toRdf-so05-toRdf/so05-in.jsonld-toRdf/so05-out.nq-False-options253]"
+ "test/jsonld/test_onedotone.py::test_suite[https://w3c.github.io/json-ld-api/tests/toRdf-manifest#tso08-do_test_parser-https://w3c.github.io/json-ld-api/tests/-toRdf-so08-toRdf/so08-in.jsonld-toRdf/so08-out.nq-False-options254]"
+ "test/jsonld/test_onedotone.py::test_suite[https://w3c.github.io/json-ld-api/tests/toRdf-manifest#tso09-do_test_parser-https://w3c.github.io/json-ld-api/tests/-toRdf-so09-toRdf/so09-in.jsonld-toRdf/so09-out.nq-False-options255]"
+ "test/jsonld/test_onedotone.py::test_suite[https://w3c.github.io/json-ld-api/tests/toRdf-manifest#tso11-do_test_parser-https://w3c.github.io/json-ld-api/tests/-toRdf-so11-toRdf/so11-in.jsonld-toRdf/so11-out.nq-False-options256]"
+ test/test_extras/test_infixowl/test_basic.py::test_infix_owl_example1
+ test/test_extras/test_infixowl/test_context.py::test_context
+ test/test_graph/test_graph.py::test_guess_format_for_parse
+ )
+ local EPYTEST_IGNORE=(
+ # Uses network
+ test/test_so_69984830.py
+ )
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+
+ epytest
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+
+ if use examples; then
+ dodoc -r examples
+ docompress -x /usr/share/doc/${PF}/examples
+ fi
+}
diff --git a/dev-python/sqlalchemy/Manifest b/dev-python/sqlalchemy/Manifest
index a7bc006a449f..6987319ed455 100644
--- a/dev-python/sqlalchemy/Manifest
+++ b/dev-python/sqlalchemy/Manifest
@@ -1,5 +1,7 @@
DIST SQLAlchemy-1.4.46.tar.gz 8544238 BLAKE2B 8ef4aae61bee3c9c54b953a9ba34074d8cac0d54d8ae3389f40fa99f57755b2ee0a8a7826e0835fada2d82b96559d974172c9d9781ec746c79006f59d7a5bba0 SHA512 1977c6125e9f45a45b7941c1e0164866bd5ea72839e619d4e259db9a5370fe2b4f191257f3c9ddb28b5c22617a71d359620601c54d9273c38b3281a6c2f5ff03
+DIST SQLAlchemy-1.4.47.tar.gz 8559530 BLAKE2B 051e6f0114162f5525e756d8762281464020a3c4e1751df8432f76ce3281ea1004fbf842e92bdd310e3a736fc87d25db12a1566720c76bde7960d51c22a483da SHA512 702cbae848bc662b686db43b2d2dbd18b503b3aacac6f5960bcd260cc5bd7058536ff2207f1780cb8425c228a82796490088c3ec32f24637edd2cf1cdac7a8bb
DIST SQLAlchemy-2.0.3.tar.gz 9229747 BLAKE2B b70116a8f9f24ed2b41aa7ebbe8a004371f3aa2e81487bce307157eec8032f134313091455245fe631818a1e6373e3144671f314991408f14b0f0f5f87335290 SHA512 8bf0fa6d95f26fd137690f75e335cf741b8fd19a5a30424e22bb85b79893cbbdc15e206d3f069f202200eb54254df868c4a6d3e74adc1a19e8ce8f92cc407098
DIST SQLAlchemy-2.0.4.tar.gz 9250723 BLAKE2B c3cec648a527e7beb349b2bbb6924a4e794a1fe4d1563ba7573afdc28ed24fce149c5b3c08fa419e85713b68080b2a805e1999e312f59ed7fae55f9aee6a966e SHA512 098004c594ff00a47a66850b0661f673e4d7a6f168fce72ca37a65ecfe04b3d291b9a6fb9393f7671c9a7c5c128ab6ba2035d18cef28736df1207e689cd8c412
DIST SQLAlchemy-2.0.5.tar.gz 9285821 BLAKE2B e0af62e05801a30d915ff4a852dc30ab61b8d5ddc632cddef549bb2d548f5a2c4056519c9ddcf690587736d415973bde9042b6cd022f874e1dc3c143ef0a6add SHA512 642f6665ca8a3aa2c30bc9e14f8e65f9baa0a678f88637e784ee8606cece92d876f8d2e639dfd462261f0c790c2f0851e3490b4c84dbaa21028df93f354b68a4
DIST SQLAlchemy-2.0.6.tar.gz 9294603 BLAKE2B ea8c7f23199c62898764656e82673f6b9c5ac8108feba49c2b74a4c3b278b2ac7ed5f9e5f2ad1b59c70b451440c9376dde19bd283c4c585029957386d56589a9 SHA512 2742f2dd7424118f34a70d3b17157d16976f422459c698ab042c08a5099c275cc8bebdb1f811fd783bd1b024e9f27925e1a72cac818dd16c807e1553a766f25c
+DIST SQLAlchemy-2.0.7.tar.gz 9298301 BLAKE2B abedb2805cad489e68fdec383eaf1bc65ef92777230317911a9351fce7c9159f746629197f7443a37495c23cd8d3cdd1015d8417f00227f28b8af1468a8327ef SHA512 94f5c4262741986456a9de435a81d9df8d5eed16417cc8c07321cb28030c99ea347c33a2054f2961e3b794bd5f75da19b0879675e2c1106fc5030382895caf75
diff --git a/dev-python/sqlalchemy/sqlalchemy-1.4.47.ebuild b/dev-python/sqlalchemy/sqlalchemy-1.4.47.ebuild
new file mode 100644
index 000000000000..acf6248060f9
--- /dev/null
+++ b/dev-python/sqlalchemy/sqlalchemy-1.4.47.ebuild
@@ -0,0 +1,94 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} pypy3 )
+PYTHON_REQ_USE="sqlite?"
+
+inherit distutils-r1 optfeature pypi
+
+MY_PN="SQLAlchemy"
+DESCRIPTION="Python SQL toolkit and Object Relational Mapper"
+HOMEPAGE="
+ https://www.sqlalchemy.org/
+ https://pypi.org/project/SQLAlchemy/
+ https://github.com/sqlalchemy/sqlalchemy/
+"
+SRC_URI="$(pypi_sdist_url --no-normalize "${MY_PN}")"
+S="${WORKDIR}/${MY_PN}-${PV}"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
+IUSE="examples +sqlite test"
+
+BDEPEND="
+ test? (
+ $(python_gen_impl_dep sqlite)
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_IGNORE=(
+ # hardcode call counts specific to Python versions
+ test/aaa_profiling
+)
+
+src_prepare() {
+ sed -i -e '/greenlet/d' setup.cfg || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # warning tests are unreliable
+ test/base/test_warnings.py
+ )
+ [[ ${EPYTHON} == pypy3 ]] && EPYTEST_DESELECT+=(
+ test/ext/test_associationproxy.py::ProxyHybridTest::test_msg_fails_on_cls_access
+ # https://github.com/sqlalchemy/sqlalchemy/issues/8762
+ test/orm/test_query.py::YieldTest_sqlite+pysqlite_3_39_4::test_yield_per_close_on_interrupted_iteration_legacy
+ )
+ if ! has_version "dev-python/greenlet[${PYTHON_USEDEP}]"; then
+ EPYTEST_DESELECT+=(
+ test/ext/asyncio/test_engine_py3k.py::TextSyncDBAPI::test_sync_driver_execution
+ test/ext/asyncio/test_engine_py3k.py::TextSyncDBAPI::test_sync_driver_run_sync
+ "test/engine/test_pool.py::PoolEventsTest::test_checkin_event_gc[False-True]"
+ "test/engine/test_pool.py::PoolEventsTest::test_checkin_event_gc[True-True]"
+ "test/engine/test_pool.py::QueuePoolTest::test_userspace_disconnectionerror_weakref_finalizer[True-_exclusions0]"
+ )
+ fi
+
+ # upstream's test suite is horribly hacky; it relies on disabling
+ # the warnings plugin and turning warnings into errors; this also
+ # means that any DeprecationWarnings from third-party plugins cause
+ # everything to explode
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x PYTEST_PLUGINS=
+ # upstream automagically depends on xdist when it is importable
+ if has_version "dev-python/pytest-xdist[${PYTHON_USEDEP}]"; then
+ PYTEST_PLUGINS+=xdist.plugin
+ fi
+ epytest
+}
+
+python_install_all() {
+ if use examples; then
+ docompress -x "/usr/share/doc/${PF}/examples"
+ dodoc -r examples
+ fi
+
+ distutils-r1_python_install_all
+}
+
+pkg_postinst() {
+ optfeature "asyncio support" dev-python/greenlet
+ optfeature "MySQL support" \
+ dev-python/mysqlclient \
+ dev-python/pymysql \
+ dev-python/mysql-connector-python
+ optfeature "postgresql support" dev-python/psycopg:2
+}
diff --git a/dev-python/sqlalchemy/sqlalchemy-2.0.7.ebuild b/dev-python/sqlalchemy/sqlalchemy-2.0.7.ebuild
new file mode 100644
index 000000000000..c137b9e59e98
--- /dev/null
+++ b/dev-python/sqlalchemy/sqlalchemy-2.0.7.ebuild
@@ -0,0 +1,107 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} pypy3 )
+PYTHON_REQ_USE="sqlite?"
+
+inherit distutils-r1 optfeature pypi
+
+MY_PN="SQLAlchemy"
+DESCRIPTION="Python SQL toolkit and Object Relational Mapper"
+HOMEPAGE="
+ https://www.sqlalchemy.org/
+ https://pypi.org/project/SQLAlchemy/
+ https://github.com/sqlalchemy/sqlalchemy/
+"
+SRC_URI="$(pypi_sdist_url --no-normalize "${MY_PN}")"
+S="${WORKDIR}/${MY_PN}-${PV}"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
+IUSE="examples +sqlite test"
+
+RDEPEND="
+ >=dev-python/typing-extensions-4.2.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ $(python_gen_impl_dep sqlite)
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ sed -i -e '/greenlet/d' setup.cfg || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_IGNORE=(
+ test/ext/mypy/test_mypy_plugin_py3k.py
+ # hardcode call counts specific to Python versions
+ test/aaa_profiling
+ )
+ local EPYTEST_DESELECT=(
+ # warning tests are unreliable
+ test/base/test_warnings.py
+ # TODO
+ test/orm/test_versioning.py::ServerVersioningTest_sqlite+pysqlite_3_40_1::test_sql_expr_w_mods_bump
+ test/sql/test_resultset.py::CursorResultTest_sqlite+pysqlite_3_41_0::test_pickle_rows_other_process
+ )
+ local sqlite_version=$(sqlite3 --version | cut -d' ' -f1)
+ [[ ${EPYTHON} == pypy3 ]] && EPYTEST_DESELECT+=(
+ test/ext/test_associationproxy.py::ProxyHybridTest::test_msg_fails_on_cls_access
+ test/ext/test_associationproxy.py::DictOfTupleUpdateTest::test_update_multi_elem_varg
+ test/ext/test_associationproxy.py::DictOfTupleUpdateTest::test_update_one_elem_varg
+ test/engine/test_processors.py::PyDateProcessorTest::test_date_invalid_string
+ test/engine/test_processors.py::PyDateProcessorTest::test_datetime_invalid_string
+ test/engine/test_processors.py::PyDateProcessorTest::test_time_invalid_string
+ "test/dialect/test_sqlite.py::TestTypes_sqlite+pysqlite_${sqlite_version//./_}::test_cant_parse_datetime_message"
+ "test/dialect/test_suite.py::ReturningGuardsTest_sqlite+pysqlite_${sqlite_version//./_}"::test_{delete,insert,update}_single
+ test/base/test_utils.py::ImmutableDictTest::test_pep584
+ )
+ if ! has_version "dev-python/greenlet[${PYTHON_USEDEP}]"; then
+ EPYTEST_DESELECT+=(
+ test/ext/asyncio/test_engine_py3k.py::TextSyncDBAPI::test_sync_driver_execution
+ test/ext/asyncio/test_engine_py3k.py::TextSyncDBAPI::test_sync_driver_run_sync
+ "test/engine/test_pool.py::PoolEventsTest::test_checkin_event_gc[False-True]"
+ "test/engine/test_pool.py::PoolEventsTest::test_checkin_event_gc[True-True]"
+ "test/engine/test_pool.py::QueuePoolTest::test_userspace_disconnectionerror_weakref_finalizer[True-_exclusions0]"
+ )
+ fi
+
+ # upstream's test suite is horribly hacky; it relies on disabling
+ # the warnings plugin and turning warnings into errors; this also
+ # means that any DeprecationWarnings from third-party plugins cause
+ # everything to explode
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x PYTEST_PLUGINS=
+ # upstream automagically depends on xdist when it is importable
+ if has_version "dev-python/pytest-xdist[${PYTHON_USEDEP}]"; then
+ PYTEST_PLUGINS+=xdist.plugin
+ fi
+ epytest
+}
+
+python_install_all() {
+ if use examples; then
+ docompress -x "/usr/share/doc/${PF}/examples"
+ dodoc -r examples
+ fi
+
+ distutils-r1_python_install_all
+}
+
+pkg_postinst() {
+ optfeature "asyncio support" dev-python/greenlet
+ optfeature "MySQL support" \
+ dev-python/mysqlclient \
+ dev-python/pymysql \
+ dev-python/mysql-connector-python
+ optfeature "postgresql support" dev-python/psycopg:2
+}
diff --git a/dev-python/trio-websocket/Manifest b/dev-python/trio-websocket/Manifest
index 2347ad7960d0..6a2587b157a1 100644
--- a/dev-python/trio-websocket/Manifest
+++ b/dev-python/trio-websocket/Manifest
@@ -1,2 +1,3 @@
DIST trio-websocket-0.10.0.gh.tar.gz 43808 BLAKE2B fd89ab74c3844a14940ce07a0abc07a0392607b492fa4b6e1d81ba3aa2c37338706975cb800332751c9ea70e934c4169fdcd29dd047019096726164a2130daa9 SHA512 04d775a7c1a232b470a7f415b57debce4bd1c3732934a94d65e3c9f3bb45c5ffea7464557100e2e9f68a2aa6a7812bd686220de046f399a0d0242309d2d9be59
DIST trio-websocket-0.10.1.gh.tar.gz 44657 BLAKE2B c7e895c5beccf40baa8603f1e3c62396e4d8c716d9a51b6977c0854f65b4c40a1edb40812f80d55f0530c2e59f10f27f2b62f72a6fb91c693ae0d67aeff3161c SHA512 bd26d72c5de70d8176b62c950e6c2bf6cf47ed5a55bb63f88e675a9d353076be45f45387da8fa9af71b8915d93914844f2a7a662351e4776c4714734512bdd7c
+DIST trio-websocket-0.10.2.gh.tar.gz 45025 BLAKE2B cc80f7b8e06bb88bef69c6326dd899a27523ea70e0ea10c8b02a26498102638c569ffe21e2b4e355f9c635d60ae8ae34664d311bf5fe286456e43e0f9c2ba481 SHA512 ad8d4facb153b59597ca7dac14dabe60ac8ca4331aa72df8120e01ec726e1f392a8167d070f72534eb735b5dbf4afe46e385c0e3a2dd250afa2280c6a5a0c863
diff --git a/dev-python/trio-websocket/trio-websocket-0.10.2.ebuild b/dev-python/trio-websocket/trio-websocket-0.10.2.ebuild
new file mode 100644
index 000000000000..77ae0e01a147
--- /dev/null
+++ b/dev-python/trio-websocket/trio-websocket-0.10.2.ebuild
@@ -0,0 +1,42 @@
+# Copyright 2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="WebSocket client and server implementation for Python Trio"
+HOMEPAGE="
+ https://github.com/HyperionGray/trio-websocket/
+ https://pypi.org/project/trio-websocket/
+"
+SRC_URI="
+ https://github.com/HyperionGray/trio-websocket/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~riscv ~sparc ~x86"
+
+RDEPEND="
+ dev-python/exceptiongroup[${PYTHON_USEDEP}]
+ >=dev-python/trio-0.11[${PYTHON_USEDEP}]
+ >=dev-python/wsproto-0.14[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ >=dev-python/pytest-trio-0.5.0[${PYTHON_USEDEP}]
+ dev-python/trustme[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest -p trio
+}